Subject: bug#38665: [PATCH] Add nosqueeze for fill-paragraph

From: Jefferson Carpenter <[email-masked]>
Date: Wed, 18 Dec 2019 22:29:22 +0000

Just added this patch for myself, thought I would pass it along for comments and/or for merging should you think it a good idea.

Use case: I'm writing markdown text that goes something like 

    Outputs a 12-character string  blah blah blah blah or if blah blah blah, returns `"            "`.

In which the markdown contains a literal string with 12 spaces.  When I run fill-paragraph on that, the spaces get collapsed down to 1 space, so I added a customization option to keep the 12-space string unchanged.

Jefferson